Bug 58800 - agetty does not start from runlevel 1
agetty does not start from runlevel 1
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-01-24 15:49 EST by Matthew Galgoci
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-16 18:19:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Galgoci 2002-01-24 15:49:12 EST
Description of Problem:

I cannot get a serial console to spawn in runlevel 1, only runlevels 234 and 5.

Version-Release number of selected component (if applicable):

How Reproducible:

Every time

Steps to Reproduce:

1.   Add the ffollowing line to /etc/inittab:

s0:12345:respawn:/sbin/agetty ttyS0 9600 vt100

2.  re-read the inittab (eg: /sbin/init q)

3.  look for agetty running (ps -uaxxww | grep agetty )

4) Drop to run level 1 or reboot into runlevel 1;  Look for agetty running (eg:
ps -auxxww | grep agetty )

Actual Results:

agetty does not start from runlevel 1

Expected Results:

agetty should run in runlevels 1, 2, 3, 4, and 5.

Additional Information:
Comment 1 Brock Organ 2002-01-24 17:11:26 EST
try adding the following kernel parameters to your bootloader:

"single console=ttyS0,115200n8"
Comment 2 Brock Organ 2002-01-24 17:15:33 EST
i've also usually used mgetty and not agetty for serial consolses spawned by 
init ...
Comment 3 Matthew Galgoci 2003-09-16 18:19:11 EDT
Only console should be active in runlevel 1. Console needs to be redirected if
you want remote serial console.

Note You need to log in before you can comment on or make changes to this bug.